Skip to content
Back to top
View this page

# StoryArea

class telegram.StoryArea(position, type, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  Describes a clickable area on a story media.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `position` and `type` are equal.

  Use In

  - `telegram.Bot.edit_story()`

  - `telegram.Bot.post_story()`

  Added in version 22.1.

  Parameters:

    - position (`telegram.StoryAreaPosition`) – Position of the area.

    - type (`telegram.StoryAreaType`) – Type of the area.

  position

    Position of the area.

    Type:

      `telegram.StoryAreaPosition`

  type

    Type of the area.

    Type:

      `telegram.StoryAreaType`